
/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
*
* Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
*
* For more information, contact:
*
*  Generalitat Valenciana
*   Conselleria d'Infraestructures i Transport
*   Av. Blasco Ibez, 50
*   46010 VALENCIA
*   SPAIN
*
*      +34 963862235
*   gvsig@gva.es
*      www.gvsig.gva.es
*
*    or
*
*   IVER T.I. S.A
*   Salamanca 50
*   46005 Valencia
*   Spain
*
*   +34 963163400
*   dac@iver.es
*/
package es.gva.cit.catalogClient.csw.parsers;

/**
 * This class is use like a structure. It saves what protocol is
 * supported by each CSW operation. Each attribute is an array that
 * can contain next values: GET, POST or SOAP
 * 
 * 
 * @author Jorge Piera Llodra (piera_jor@gva.es)
 */
public class CswSupportedProtocolOperations {

/**
 * 
 * 
 */
    private String[] getCapabilities = null;

/**
 * 
 * 
 */
    private String[] describeRecords = null;

/**
 * 
 * 
 */
    private String[] getDomain = null;

/**
 * 
 * 
 */
    private String[] getRecords = null;

/**
 * 
 * 
 */
    private String[] getRecordsById = null;

/**
 * 
 * 
 */
    private String[] Transaction = null;

/**
 * 
 * 
 */
    private String[] Harvest = null;

/**
 * 
 * 
 * 
 * @return Returns the describeRecords.
 */
    public String[] getDescribeRecords() {        
		return describeRecords;
    } 

/**
 * 
 * 
 * 
 * @param describeRecords The describeRecords to set.
 */
    public void setDescribeRecords(String[] describeRecords) {        
		this.describeRecords = describeRecords;
    } 

/**
 * 
 * 
 * 
 * @return Returns the getCapabilities.
 */
    public String[] getGetCapabilities() {        
		return getCapabilities;
    } 

/**
 * 
 * 
 * 
 * @param getCapabilities The getCapabilities to set.
 */
    public void setGetCapabilities(String[] getCapabilities) {        
		this.getCapabilities = getCapabilities;
    } 

/**
 * 
 * 
 * 
 * @return Returns the getDomain.
 */
    public String[] getGetDomain() {        
		return getDomain;
    } 

/**
 * 
 * 
 * 
 * @param getDomain The getDomain to set.
 */
    public void setGetDomain(String[] getDomain) {        
		this.getDomain = getDomain;
    } 

/**
 * 
 * 
 * 
 * @return Returns the getRecords.
 */
    public String[] getGetRecords() {        
		return getRecords;
    } 

/**
 * 
 * 
 * 
 * @param getRecords The getRecords to set.
 */
    public void setGetRecords(String[] getRecords) {        
		this.getRecords = getRecords;
    } 

/**
 * 
 * 
 * 
 * @return Returns the getRecordsById.
 */
    public String[] getGetRecordsById() {        
		return getRecordsById;
    } 

/**
 * 
 * 
 * 
 * @param getRecordsById The getRecordsById to set.
 */
    public void setGetRecordsById(String[] getRecordsById) {        
		this.getRecordsById = getRecordsById;
    } 

/**
 * 
 * 
 * 
 * @return Returns the harvest.
 */
    public String[] getHarvest() {        
		return Harvest;
    } 

/**
 * 
 * 
 * 
 * @param harvest The harvest to set.
 */
    public void setHarvest(String[] harvest) {        
		Harvest = harvest;
    } 

/**
 * 
 * 
 * 
 * @return Returns the transaction.
 */
    public String[] getTransaction() {        
		return Transaction;
    } 

/**
 * 
 * 
 * 
 * @param transaction The transaction to set.
 */
    public void setTransaction(String[] transaction) {        
		Transaction = transaction;
    } 
 }
