
/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
*
* Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
*
* For more information, contact:
*
*  Generalitat Valenciana
*   Conselleria d'Infraestructures i Transport
*   Av. Blasco Ibez, 50
*   46010 VALENCIA
*   SPAIN
*
*      +34 963862235
*   gvsig@gva.es
*      www.gvsig.gva.es
*
*    or
*
*   IVER T.I. S.A
*   Salamanca 50
*   46005 Valencia
*   Spain
*
*   +34 963163400
*   dac@iver.es
*/
package es.gva.cit.catalogClient.utils;

/**
 * This class has functions to work with Double's
 * 
 * 
 * @author Jorge Piera Llodra (piera_jor@gva.es)
 */
public class Doubles {

/**
 * This function returns a String that represents a double with just 5 decimal
 * numbers.
 * 
 * 
 * @return 
 * @param number Double (like a String)
 */
    public static String get5Decimals(String number) {        
       String parsedValue = null;
       if (number.indexOf(".") >= 0){
           int pointPosition = number.indexOf(".");
           parsedValue = number.substring(0,pointPosition) + ".";
           if (number.substring(pointPosition,number.length()).length() > 5){
               return parsedValue + number.substring(pointPosition + 1, pointPosition + 6);
           }else{
               System.out.println(number);
               return parsedValue + number.substring(pointPosition + 1, number.length());
           }
       } else {
           return number;
       }
       
     
    } 
 }
