/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 */

package org.cresques.ui.BrightnessContrast;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JLabel;

/**
 * Clase que contiene un slider, un campo de texto y una etiqueta para el nombre.
 * @author Miguel ngel Querol Carratal  <querol_mig@gva.es>
 *
 */
public class LabelSliderText extends SliderTextPanel implements ActionListener {
	
	public JLabel lName = null;
	/**
	 * Constructor
	 *
	 */
	
	public LabelSliderText(){
		GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
		gridBagConstraints1.insets = new Insets(0,0,0,0);
		super.getJPanel().add(getLName(), gridBagConstraints1);
	}
	

	public JLabel getLName(){
		if(lName == null){
			lName = new JLabel();
			lName.setText("Nombre");
			lName.setPreferredSize(new java.awt.Dimension(163,15));
			lName.setSize(163, 15);
		}
		return lName;
	}
	
	public void setName(String name){
		lName.setText(name);
	}
	
	public void setControlEnabled(boolean active){
		this.lName.setEnabled(active);
		super.setControlEnabled(active);
	}
	
	public void actionPerformed(ActionEvent e) {
		super.actionPerformed(e);
	}
}
